Bug 219183 - sysutils/busybox: Update to 1.26.2, Take MAINTAINER'ship
Summary: sysutils/busybox: Update to 1.26.2, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa
Depends on: 220754
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-10 07:55 UTC by Jov
Modified: 2018-06-13 08:12 UTC (History)
7 users (show)

See Also:
miwi: maintainer-feedback? (amutu)


Attachments
busybox update patch (31.78 KB, patch)
2017-05-11 11:59 UTC, Jov
no flags Details | Diff
busybox-1.26.2.diff v2 (33.15 KB, patch)
2017-05-27 10:25 UTC, Jov
no flags Details | Diff
busybox-1.26.2.diff v3 (32.10 KB, patch)
2018-02-15 17:43 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-05-10 07:55:15 UTC

    
Comment 1 Jov 2017-05-11 11:59:49 UTC
Created attachment 182512 [details]
busybox update patch

portlint pass with no error.
Comment 2 Martin Wilke freebsd_committer 2017-05-13 04:46:36 UTC
cc maintainer.
Comment 3 Jov 2017-05-15 03:25:43 UTC
LGTM
Comment 4 Baptiste Daroussin freebsd_committer 2017-05-25 20:46:21 UTC
PORTSCOUT=	skipv:1.26.0

This is wrong this line is made to prevent portscout.freebsd.org to bug you about a given version in case of updates. Ignoring 1.26.0 would be useless after the upgrade.

You removed all the PLIST_FILES so nothing will be packaged
Comment 5 Jov 2017-05-27 10:25:55 UTC
Created attachment 182959 [details]
busybox-1.26.2.diff v2

PORTSCOUT=	skipv:1.26.0

This is wrong this line is made to prevent portscout.freebsd.org to bug you about a given version in case of updates. Ignoring 1.26.0 would be useless after the upgrade.
---fixed

You removed all the PLIST_FILES so nothing will be packaged
---fixed.I missed pkg-plist file in the diff
Comment 6 Jov 2017-06-20 01:07:55 UTC
ping
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-14 10:59:59 UTC
@Jov, Could you please confirm this change passes QA (portlint, poudriere)
Comment 8 Walter Schwarzenfeld freebsd_triage 2018-02-02 16:36:34 UTC
Any new here?
Comment 9 Joseph Mingrone freebsd_committer 2018-02-15 16:50:40 UTC
Applying the current patch breaks poudriere testport.

http://pkg.awarnach.mathstat.dal.ca/data/11amd64-default/2018-02-15_12h37m36s/logs/errors/busybox-1.26.2.log
Comment 10 Joseph Mingrone freebsd_committer 2018-02-15 17:43:35 UTC
Created attachment 190662 [details]
busybox-1.26.2.diff v3

With this patch, poudriere testport passes.  Jov, could you provide feedback and confirm that there are no run-time problems?
Comment 11 Tilman Keskinoz freebsd_committer 2018-05-30 13:17:12 UTC
Current version is 1.28.3.

There is now a freebsd_defconfig which unfortunately does not work. capabilities.c and copyfd.c must be disconnected from the build, which i have not managed so far.
Comment 12 commit-hook freebsd_committer 2018-06-13 08:12:00 UTC
A commit references this bug:

Author: krion
Date: Wed Jun 13 08:11:15 UTC 2018
New revision: 472292
URL: https://svnweb.freebsd.org/changeset/ports/472292

Log:
  Update to 1.26.2
  Pass maintainership to submitter.

  PR:		219183
  Submitted by:	Jov <amutu@amutu.com>

Changes:
  head/sysutils/busybox/Makefile
  head/sysutils/busybox/distinfo
  head/sysutils/busybox/files/data-.config